%global commit 3da7e804c07d4e495873be208701b5c955247c58
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-parsimonious
Version:        0.8.1
Release:        1.git%{shortcommit}%{?dist}
Summary:        A fast pure-Python PEG parser

License:        MIT
URL:            https://github.com/erikrose/parsimonious
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

# https://github.com/erikrose/parsimonious/pull/168
Patch0:         0001-eliminate-nose-and-use-unittest.patch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(tox-current-env)

BuildArch:      noarch

%description
Parsimonious aims to be the fastest arbitrary-lookahead parser written in pure
Python, and the most usable. It's based on parsing expression grammars (PEGs),
which means you feed it a simplified sort of EBNF notation. Parsimonious was
designed to undergird a MediaWiki parser that wouldn't take 5 seconds or a GB
of RAM to do one page, but it's applicable to all sorts of languages.

%prep
%autosetup -p 1 -n parsimonious-%{commit}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parsimonious

%check
%tox

%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/parsimonious-%{version}.dist-info/
%{python3_sitelib}/parsimonious/

%changelog
* Sat Jan 08 2022 Alessio <alciregi AT fedoraproject DOT org> - 0.8.1-1.git3da7e80
- Initial package
